/**
 * @author Alicia García Holgado - GRIAL
 */

if(!document.getElementsByClassName) {
	document.getElementsByClassName = function(cl) {
		var retnode = [];
		var myclass = new RegExp('\\b' + cl + '\\b');
		var elem = this.getElementsByTagName('*');
		for ( var i = 0; i < elem.length; i++) {
			var classes = elem[i].className;
			if (myclass.test(classes))
				retnode.push(elem[i]);
		}
		return retnode;
	};
}

function loadpage() {
	$cookie = getCookie('mihview');
	
	if($cookie == null) {
		setCookie('mihview', '0');
	} else if($cookie) {
		enable_teacher_view();
	} if($cookie == 0) {
		disable_teacher_view();
	}
	
	var i = 0;
	do {
		i++;
		var page = document.getElementById("textpage"+i);
		
		if(i == 1) {
			page.style.display = "block";
			document.getElementById("page"+i).className = "selectpage";
		}
		else {
			page.style.display = "none";
		}
	} while(page != null);
}

function enable_teacher_view() {
	document.getElementById("vteacher").className = "selectcontrol";
	document.getElementById("vstudent").className = "";
	
	var elements = document.getElementsByClassName("teacher");
	
	for(var i = 0; i< elements.length; i++) {
		elements[i].style.display = "block";
	}
	
	setCookie('mihview', '1');
}

function disable_teacher_view() {
	document.getElementById("vstudent").className = "selectcontrol";
	document.getElementById("vteacher").className = "";
	
	var elements = document.getElementsByClassName("teacher");
	
	for(var i = 0; i< elements.length; i++) {
		elements[i].style.display = "none";
	}
	
	setCookie('mihview', '0');
}

//Esta es la función que usa Heinle para recuperar una cookie
//name - nombre de la cookie deseada
//devuelve un string conteniendo el valor de la cookie especificada o null si la cookie no existe

function getCookie(name) {
	var cname = name + "=";
	var dc = document.cookie;
	if (dc.length > 0) {
		begin = dc.indexOf(cname);
		if (begin != -1) {
			begin += cname.length;
			end = dc.indexOf(";", begin);
			if (end == -1)
				end = dc.length;
			return unescape(dc.substring(begin, end));
		}
	}
	return null;
}

//Esta es una adaptación de la función de Dorcht para colar una cookie
//name - nombre de la cookie
//value - valor de la cookie
//[expires] - fecha de caducidad de la cookie (por defecto, el final de la sesión)
//[path] - camino para el cual la cookie es válida (por defecto, el camino del documento que hace la llamada)
//[domain] - dominio para el cual la cookie es válida (por defecto, el dominio del documento que hace la llamada)
//[secure] - valor booleano que indica si la trasnmisión de la cookie requiere una transmisión segura
//al especificar el valor null, el argumento tomará su valor por defecto

function setCookie(name, value, expires, path, domain, secure) {
	document.cookie = name + "=" + escape(value)
			+ ((expires == null) ? "" : "; expires=" + expires.toGMTString())
			+ ((path == null) ? "" : "; path=" + path)
			+ ((domain == null) ? "" : "; domain=" + domain)
			+ ((secure == null) ? "" : "; secure");
}

//Esta es una adaptación de la función de Dorcht para borrar una cookie
//name - nombre de la cookie
//[path] - camino de la cookie (debe ser el mismo camino que el especificado al crear la cookie)
//[domain] - dominio de la cookie (debe ser el mismo dominio que el especificado al crear la cookie)
//se considera el camino y dominio por defecto si se especifica null o no se proporcionan argumentos

function delCookie(name, path, domain) {
	if (getCookie(name)) {
		document.cookie = name + "=" + ((path == null) ? "" : "; path=" + path)
				+ ((domain == null) ? "" : "; domain=" + domain)
				+ "; expires=Thu, 01-Jan-70 00:00:01 GMT";
	}
}

function next_page(next) {
	var i = 0;
	do {
		i++;
		var page = document.getElementById("textpage"+i);
		
		if(i == next) {
			page.style.display = "block";
			document.getElementById("page"+i).className = "selectpage";
		}
		else {
			page.style.display = "none";
			document.getElementById("page"+i).className = "";
		}
	} while(page != null);
}

function getFeedback(optionId, optionsNum, ideviceId, mode) {
    for (i = 0; i< optionsNum; i++) { 
        if (mode == "multi")
            id = "sa" + i + "b" +ideviceId
        else
            id = "s" + i + "b" +ideviceId
        if(i == optionId)
            document.getElementById(id).style.display = "block";
        else
            document.getElementById(id).style.display = "None";
    }
    if (mode == 'truefalse') {
        document.getElementById("sfbk" + ideviceId).style.display = "block";
    }
}

//used to show question's feedback for multi-select idevice 
function showFeedback(num, ident){
    for(i=0; i<num; i++){
        var ele = document.getElementById(ident+i.toString())
        var ele0 = document.getElementById(ident+i.toString()+"_0")
        var ele1 = document.getElementById(ident+i.toString()+"_1")
        var ansele = document.getElementById("ans"+ident+i.toString())
        chk = "False"
        if (ele.checked==1)
            chk = "True"   
        if (chk == ele.value){
            ele1.style.display = "block"
			ele0.style.display = "none"
            ansele.style.color = "black"
        }else{            
            ele0.style.display = "block"
			ele1.style.display = "none"
            ansele.style.color = "red"
        }
    }
    var fele = document.getElementById("f"+ident)
    fele.style.display = "block"
}
